## com.trilead.ssh2.transport
Class KexState

    java.lang.Object
      com.trilead.ssh2.transport.KexState

    public class KexState

extends java.lang.Object

KexState.

Field Summary
`DHGexParameters` `dhgexParameters`
`DhGroupExchange` `dhgx`
`DhExchange` `dhx`
`byte[]` `H`
`byte[]` `hostkey`
`java.math.BigInteger` `K`
`PacketKexInit` `localKEX`
`NegotiatedParameters` `np`
`PacketKexInit` `remoteKEX`
`int` `state`

Constructor Summary
`KexState()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### localKEX

    public PacketKexInit localKEX

### remoteKEX

    public PacketKexInit remoteKEX

### np

    public NegotiatedParameters np

### state

    public int state

### K

    public java.math.BigInteger K

### H

    public byte[] H

### hostkey

    public byte[] hostkey

### dhx

    public DhExchange dhx

### dhgx

    public DhGroupExchange dhgx

### dhgexParameters

    public DHGexParameters dhgexParameters

Constructor Detail

### KexState

    public KexState()